CPUFree0 = nodes0(:,5); %0 hours
CPUFree6 = nodes6(:,5); %6 hours
CPUFree12 = nodes12(:,5); %12 hours
CPUFree1 = nodes1(:,5); %1 day
%CPUFree2 = nodes2(:,5); %2 days
%CPUFree4 = nodes4(:,5); %4 days
CPUFree7 = nodes7(:,5); %7 days
%CPUFree14 = nodes14(:,5); %14 days
%CPUFreeY = y(:,1); %Original data

index = find(CPUFree0 == -1);
CPUFree0(index) = [];
index = find(CPUFree6 == -1);
CPUFree6(index) = [];
index = find(CPUFree12 == -1);
CPUFree12(index) = [];
index = find(CPUFree1 == -1);
CPUFree1(index) = [];
%index = find(CPUFree2 == -1);
%CPUFree2(index) = [];
%index = find(CPUFree4 == -1);
%CPUFree4(index) = [];
index = find(CPUFree7 == -1);
CPUFree7(index) = [];
%index = find(CPUFree14 == -1);
%CPUFree14(index) = [];
%index = find(CPUFreeY == -1);
%CPUFreeY(index) = [];

[f0, x0] = ecdf(CPUFree0);
[f6, x6] = ecdf(CPUFree6);
[f12, x12] = ecdf(CPUFree12);
[f1, x1] = ecdf(CPUFree1);
%[f2, x2] = ecdf(CPUFree2);
%[f4, x4] = ecdf(CPUFree4);
[f7, x7] = ecdf(CPUFree7);
%[f14, x14] = ecdf(CPUFree14);
%[fY, xY] = ecdf(CPUFreeY);

plot(x0, f0, '-', x6, f6, '--', x12, f12, '+', x1, f1, '*', x1, f1, '>')
%plot(x0, f0, '-', x6, f6, '--', x12, f12, '+', x1, f1, '*', x1, f1, '>', x7, f7, '-.',x14, f14, '.-.')